<?xml version="1.0" encoding="UTF-8"?>
<feature
      id="de.uniol.inf.is.odysseus.scheduling.feature"
      label="Scheduling Feature"
      version="1.0.0.202303222348"
      provider-name="University of Oldenburg">

   <description>
      Holds the scheduling mechnism for Odysseus. This includes different scheduling strategies as well as different buffer placement strategies that are used for the scheduling.
   </description>

   <copyright>
      Copyright by the Odysseus Team (odysseus.informatik.uni-oldenburg.de)
   </copyright>

   <license url="http://www.apache.org/licenses/LICENSE-2.0">
      Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
 you may not use this file except in compliance with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0 
 
Unless required by applicable law or agreed to in writing, software 
  distributed under the License is distributed on an &quot;AS IS&quot; BASIS,  
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 See the License for the specific language governing permissions and 
 limitations under the License.
   </license>

   <url>

   </url>

   <plugin
         id="de.uniol.inf.is.odysseus.planmanagement.bufferplacement.querybufferplacement"
         download-size="6"
         install-size="17"
         version="1.0.0.202303222348"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.planmanagement.bufferplacement.sourcebufferplacementstrategy"
         download-size="6"
         install-size="15"
         version="1.0.0.202303222348"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.planmanagement.bufferplacement.standardbufferplacementstrategy"
         download-size="5"
         install-size="14"
         version="1.0.0.202303222348"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.scheduler.strategy.factory.aurorafactory"
         download-size="12"
         install-size="29"
         version="1.0.1.202303222348"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.scheduler.singlethreadscheduler"
         download-size="36"
         install-size="78"
         version="2.0.0.202303222348"
         unpack="false"/>

   <plugin
         id="de.uniol.inf.is.odysseus.scheduler.strategy.factory.simplestratfactory"
         download-size="16"
         install-size="33"
         version="1.0.0.202303222348"
         unpack="false"/>

</feature>
